<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:attribute-set name="row">
  <xsl:attribute name="align">left</xsl:attribute>
  <xsl:attribute name="valign">top</xsl:attribute>
</xsl:attribute-set>
<xsl:template match="taglib">
  <HTML><HEAD><TITLE><xsl:value-of select="short-name"/> TLD</TITLE></HEAD>
  <BODY>
  <H1>Tag Library Name: <xsl:value-of select="short-name"/></H1>
  <TABLE border="1">
    <TR xsl:use-attribute-sets="row"><TH colspan="4">Tag</TH></TR>
    <TR xsl:use-attribute-sets="row"><TH>Name</TH><TH>Body</TH><TH>Attributes</TH><TH>Variables</TH></TR>
    <xsl:apply-templates select="tag"/>
  </TABLE>
  </BODY></HTML>
</xsl:template>
<xsl:template match="tag">
  <TR xsl:use-attribute-sets="row">
    <TD><STRONG><xsl:value-of select="name"/></STRONG></TD>
    <TD><xsl:value-of select="body-content"/></TD>
    <TD><xsl:apply-templates select="attribute"/></TD>
    <TD><xsl:apply-templates select="variable"/></TD>
  </TR>
</xsl:template>
<xsl:template match="attribute">
    <xsl:value-of select="name"/><BR></BR>
</xsl:template>
<xsl:template match="variable">
    <xsl:value-of select="name-given"/><BR></BR>
</xsl:template>
</xsl:stylesheet>

