import java.rmi.*;
import javax.naming.*;
import javax.rmi.*;

public class HelloUserClient {
    public static void main(String args[]) {
        if (args.length>1) {
            System.err.println("Usage: java HelloUserClient");
        }
        try {
            Context ctx = new InitialContext();
            Object obj = ctx.lookup("HelloUser");
            HelloUser hu = (HelloUser)PortableRemoteObject.narrow(obj,HelloUser.class);
            String reply = hu.sayHello(args.length==1?args[0]:"unknown");
            System.out.println (reply);
        }
        catch (Exception ex) {
            System.out.println(ex);
        }
    }
}

