import java.rmi.*;
import javax.naming.*;
import javax.rmi.*;

public class HelloUserImpl extends PortableRemoteObject implements HelloUser {
    
    // Constructer msut throw RemoteException
    public HelloUserImpl() throws RemoteException {
    }

    public String sayHello(String name) throws RemoteException {
        System.out.println("sayHello "+name);
        return "Hello "+name;
    }

    public static void main(String args[]) {
        try {
            HelloUserImpl hui = new HelloUserImpl();

            Context ctx = new InitialContext();
            ctx.rebind("HelloUser",hui);
            System.out.println("Registered");
        }
        catch (Exception e) {
            System.out.println(e.getMessage());
        }
    }
}

