<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <HTML>
    <HEAD> <TITLE>Job Details</TITLE> </HEAD>
    <BODY> 
      <xsl:apply-templates/>
      <P><A HREF='xsltForm.jsp'>Back to xsltForm</A></P>
    </BODY>
  </HTML>
</xsl:template>
<xsl:template match="job">
  <H2>Job ref:
      <A>
      <xsl:attribute name="HREF">
        /agency/advertise?<xsl:value-of select="@customer"/>
      </xsl:attribute>
      <xsl:value-of select="@customer"/>
    </A>/<xsl:value-of select="@reference"/>
  </H2>
  <P><xsl:apply-templates select="description"/></P>
  <TABLE border="1">
  <xsl:apply-templates select="skill|location"/>
  </TABLE>
</xsl:template>
<xsl:template match="description">
  <I><xsl:value-of select="."/></I>
</xsl:template>
<xsl:attribute-set name="rowStyle">
  <xsl:attribute name="face">Arial,sans-serif</xsl:attribute>
  <xsl:attribute name="color">blue</xsl:attribute>
</xsl:attribute-set>
<xsl:template match="skill|location">
  <TR><TD><FONT xsl:use-attribute-sets="rowStyle">
      <xsl:value-of select="name()"/>
  </FONT></TD><TD><FONT xsl:use-attribute-sets="rowStyle">
    <xsl:value-of select="."/>
  </FONT></TD></TR>
</xsl:template>
</xsl:stylesheet>

