package agency;

import java.rmi.*;
import javax.ejb.*;

public interface Advertise extends EJBObject
{
	void updateDetails (AdvertiseValueObject details) throws RemoteException;
	AdvertiseValueObject getDetails() throws RemoteException;

	String[] getJobs() throws RemoteException;

	void createJob (String ref) throws RemoteException, DuplicateException, CreateException;
	void deleteJob (String ref) throws RemoteException, NotFoundException;
}
